Workload Networks - List Segments
按 WorkloadNetwork 分类的 WorkloadNetworkSegment 资源列表
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AVS/privateClouds/{privateCloudName}/workloadNetworks/default/segments?api-version=2025-09-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
private
|
path | True |
string pattern: ^[-\w\._]+$ |
私有云的名称 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
WorkloadNetworks_ListSegments
示例请求
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/workloadNetworks/default/segments?api-version=2025-09-01
示例响应
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/workloadNetworks/default/segments/segment1",
"name": "segment1",
"properties": {
"displayName": "segment1",
"connectedGateway": "/infra/tier-1s/gateway",
"subnet": {
"dhcpRanges": [
"40.20.0.0-40.20.0.1"
],
"gatewayAddress": "40.20.20.20/16"
},
"portVif": [
{
"portName": "vm1"
}
],
"status": "SUCCESS",
"revision": 1
},
"type": "Microsoft.AVS/privateClouds/workloadNetworks/segments"
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Segment |
路段现状 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Workload |
NSX段 |
|
Workload |
端口和任何连接到段子的VIF。 |
|
Workload |
工作负载网络段配置状态 |
|
Workload |
工作负载网络段列表作的响应。 |
|
Workload |
段子网配置 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
SegmentStatusEnum
路段现状
| 值 | 说明 |
|---|---|
| SUCCESS |
是成功的 |
| FAILURE |
是失败的 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
WorkloadNetworkSegment
NSX段
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.connectedGateway |
string |
要连接到段的网关。 |
| properties.displayName |
string |
段的显示名称。 |
| properties.portVif |
Port Vif,关联哪个片段。 |
|
| properties.provisioningState |
预配状态 |
|
| properties.revision |
integer (int64) |
NSX 修订号。 |
| properties.status |
片段状态。 |
|
| properties.subnet |
要连接到段的子网。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
WorkloadNetworkSegmentPortVif
端口和任何连接到段子的VIF。
| 名称 | 类型 | 说明 |
|---|---|---|
| portName |
string |
连接在段子上的港口名称或VIF名称。 |
WorkloadNetworkSegmentProvisioningState
工作负载网络段配置状态
| 值 | 说明 |
|---|---|
| Succeeded |
已创建资源。 |
| Failed |
资源创建失败。 |
| Canceled |
资源创建已取消。 |
| Building |
正在生成 |
| Deleting |
正在删除 |
| Updating |
正在更新 |
WorkloadNetworkSegmentsList
工作负载网络段列表作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项目的链接 |
| value |
本页的工作负载网络段项 |
WorkloadNetworkSegmentSubnet
段子网配置
| 名称 | 类型 | 说明 |
|---|---|---|
| dhcpRanges |
string[] |
为子网分配的 DHCP 范围。 |
| gatewayAddress |
string |
网关地址。 |